<template>
  <div class="risk-deals">
    <table class="risk-table">
      <thead>
        <tr>
          <th>наименование группы</th>
          <th>
            Макс. размер дебиторской задолженности, руб
            <ObTooltip
              content="В валюте экспедитора"
            >
              <i class="icon blue question" style="font-size: 12px" />
            </ObTooltip>
          </th>
          <th>максимум дней Отсрочки платежа</th>
          <th>условия выставления счетов</th>
          <th>условия отправки закрывающих документов</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(item, index) in deals" :key="index">
          <td>
            <risk :color="item.group"/>
          </td>
          <td>
            <ObInput v-model="item.maxDeb"/>
          </td>
          <td>
            <ObInput v-model="item.maxDays"/>
          </td>
          <td>
            <ob-select :items="reasons"
              v-model="item.reasonToBIll"
              label=""
              :is-input="false"
              valueExp="title"
              :placeholder="`Введите ключевые слова`"
            />
          </td>
          <td>
            <ob-select :items="reasons"
              v-model="item.reasonToClose"
              :is-input="false"
              valueExp="title"
              :placeholder="`Введите ключевые слова`"
            />
          </td>
        </tr>
      </tbody>
    </table>
    <div class="footer">
      <ob-button label="Отменить" type="flat" @click="onReset"/>
      <ob-button label="Cохранить" type="primary" @click="onSave"/>
    </div>
  </div>
</template>

<script>
  import cloneDeep from 'clone-deep'
  import ObInput from "common-components/src/obComponents/obInput"
  import ObButton from 'common-components/src/obComponents/obButton'
  import obSelect from 'common-components/src/obComponents/obSelect'
  import Risk from '../components/Risk'
  import ObTooltip from "common-components/src/obComponents/obTooltip"

  export default {
    name: "dealsTab",

    components: {
      ObInput,
      ObButton,
      obSelect,
      Risk,
      ObTooltip
    },

    data() {
      return {
        backUp: [],
        reasons: [
          {
            id: 1,
            title: "POD получен контрагентом",
          },
          {
            id: 2,
            title: "POD готов к отправке КА",
          },
          {
            id: 3,
            title: "POD сформирован",
          },
          {
            id: 4,
            title: "Формирование POD",
          },
          {
            id: 5,
            title: "Предоплата"
          }
        ],
        deals: [
          {
            group: "green",
            maxDeb: 50000000,
            maxDays: 30,
            reasonToBIll: "POD получен контрагентом",
            reasonToClose: "POD получен контрагентом"
          },
          {
            group: "blue",
            maxDeb: 40000000,
            maxDays: 30,
            reasonToBIll: "POD получен контрагентом",
            reasonToClose: "POD получен контрагентом"
          },
          {
            group: "yellow",
            maxDeb: 30000000,
            maxDays: 20,
            reasonToBIll: "POD готов к отправке КА",
            reasonToClose: "POD готов к отправке КА"
          },
          {
            group: "orange",
            maxDeb: 30000000,
            maxDays: 20,
            reasonToBIll: "POD готов к отправке КА",
            reasonToClose: "POD готов к отправке КА"
          }
        ]
      }
    },

    created() {
      this.backUp = cloneDeep(this.deals)
    },

    methods: {
      onReset() {
        this.deals = cloneDeep(this.backUp)
      },

      onSave() {}
    }
  }
</script>

<style lang="scss">
  .risk-table {

    .form-item-container {
      margin-bottom: 0;
    }

    .ob-selector__select {
      align-items: center;
      justify-content: flex-start;
      border: none;
      background: transparent;
    }

    .ob-selector__label {
      display: none;
    }

    .ob-selector__controls .icon {
      width: 10px;
      height: 10px;
      margin-left: 5px;
      font-size: 10px;
    }

    .ob-selector__title {
      width: auto;
    }

    .ob-selector__value {
      font-size: 14px;
      color: $color-blue-navy-blue;
      white-space: nowrap;
    }
  }
</style>

<style lang="scss" scoped>

  .risk-table {
    th, td {
      padding-left: 20px;
      padding-right: 20px;
    }
  }

  .el-tooltip {
    display: inline-block;
    vertical-align: middle;
  }

  .icon.blue {
    color: $color-blue-navy-blue;
  }

  .ob-selector__select {
    border: none;
  }

  .ob-selector__label {
    display: none;
  }
</style>
